C, C++2009. 2. 23. 19:41
 


cygwin 에서 Qt 4.4.3 은 ./configure 처리시에 문제가 있다.
그러면, 어떻게 해결을 할것인가??

...결론부터 이야기하자면,  cygwin은 qt의 지원 플랫폼 대상이 아니다.
http://doc.trolltech.com/4.4/supported-platforms.html
...윈도에서 지원되는 컴파일러는 MinGW(gcc 3.4 ,32-bit), MSVC 2003, 2005, 2008(32/64-bit), Intel icc
...뿐이다. (확실히 cygwi 빌딩은 unsupported 라고 하단에 명기되어 있다.)
...이건 4.5 버전에서도 동일하게 지원됨도 알수 있다.
http://doc.trolltech.com/4.5-snapshot/supported-platforms.html
 
...유일한 방법을 찾자면, 노키아-트롤의 동의없이 그들의 소스를 수정하는 것인데,
...노력 대비 결과가 미미하므로, 기냥 MinGW 를 사용하라는 결론부터 내려 본다...
...(굳이 방법을 찾는 분은 노력해 보시기를 기원한다...)

'C, C++' 카테고리의 다른 글

ACE+TAO RPM 프리빌딩 패키지  (0) 2009.03.02
ACE SimpleClient  (0) 2009.02.25
cygwin 과 Qt 4.4.3  (0) 2009.02.23
ACE 5.6 cygwin 빌딩  (0) 2009.02.21
C++ 자료형의 최대/최소값  (0) 2009.02.16
QDevelop 설치하기 (ver.0.26)  (0) 2009.01.25
Posted by 어쩌다보니 Jay Two
TAG , ,

댓글을 달아 주세요